Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.model.markup
Interface IRuntimeContext

All Known Subinterfaces:
  IBlockingInteractionBaseRequestContext, IBlockingInteractionRequestContext, IGetMarkupBaseRequestContext, IGetMarkupRequestContext, IGetRenderDependenciesRequestContext, IHandleEventsRequestContext

    public interface IRuntimeContext

An interface that represents data of the "runtimeContext" element which described in the WSRP specification.

This interface is intended to be implemented only by BEA Weblogic Portal.BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Method Summary
`String` | `getNamespacePrefix()` A prefix string for scoping tokens (javascript variables, html id attributes, etc) to the current portlet.
`String` | `getPortletInstanceKey()` Returns the current portlet's unique id.
`String` | `getSessionID()` A session id that was sent by a producer.
`IUrlTemplates` | `getTemplates()` Returns URL templates used by the current portlet.
`String` | `getUserAuthentication()` Returns a string that indicates how the end-user was authenticated.

Method Detail

### getUserAuthentication

    String getUserAuthentication()

  Returns a string that indicates how the end-user was authenticated. The common values are : "wsrp:none" -> No authentication is done. "wsrp:password" -> The end-user identified themselves using the common userid/password scenario. "wsrp:certificate" -> The end-user presented a security certificate to validate their identity. Other string -> authentication was done outside this limited set of possibilities.

  Returns
    a string indicating how the end-user was authenticated.

### getPortletInstanceKey

    String getPortletInstanceKey()

  Returns the current portlet's unique id.

  Returns
    the current portlet's unique id.

### getNamespacePrefix

    String getNamespacePrefix()

  A prefix string for scoping tokens (javascript variables, html id attributes, etc) to the current portlet.

  Returns
    A prefix string.

### getSessionID

    String getSessionID()

  A session id that was sent by a producer.

  Returns
    A session id from a producer.

### getTemplates

    IUrlTemplates getTemplates()

  Returns URL templates used by the current portlet. If a portlet doesn't process URL templates or if templates are stored in a session then this method returns `null`.

  Returns
    URL templates if available.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved